<?php
/*
Plugin Name: WPMU GRavatars
Plugin URI: http://www.ringofblogs.com/2007/10/23/gravatar-plugin-for-wordpress-and-wordpress-mu/
Description: Adds GRavatars to comments
Version: 0.2
Author: Hannit Cohen & Elad Salomons
Author URI: 
*/

function gravatar_admin_menu(){
    add_submenu_page('themes.php', 'GRavatar', 'GRavatar', 8, 'gravatar', 'gravatar_admin');
}

function mu_get_gravatar($s)
{
	$gravatar = get_option('use_gravatar');
	global $comment;
	if($gravatar == true){
		if (!empty($comment->comment_author_email) && is_single()) {
			$md5 = md5( $comment->comment_author_email );
			$default = urlencode( 'http://use.perl.org/images/pix.gif' );
			$s = "<img style='float: right; margin-left: 10px;' src='http://www.gravatar.com/avatar.php?gravatar_id=$md5&amp;size=60&amp;default=$default' alt='' />".$s;
		}
		return $s."<div style='clear:both'></div>";
	}
	return $s;
}

function gravatar_admin(){

	$gravatar = get_option('use_gravatar');

	if ($_POST['updatinggravatar']) {
		if ($_POST['use_my_gravatar']) {
			$gravatar = true;
		} else {
			$gravatar = false;
		}
		update_option('use_gravatar', $gravatar);

	echo '<div id="message" class="updated fade"><p>Options saved successfully.</p></div>';
	}

?>
<div class="wrap">
<h2><?php _e('GRavatar')?></h2>
<p><?php _e('Here you can enable GRavatars on your blog.')?></p>

<form action="" method="post">
<p><label><input name="use_my_gravatar" value="gravatar" type="checkbox" <?php if ($gravatar) { ?> checked="checked" <?php } ?> /> Enable <a href="http://site.gravatar.com/">Gravatars</a> on your blog.</label></p>
<p class="submit">
	<input value="Update GRavatars &raquo;" type="submit" />
	<input name="updatinggravatar" value="true" type="hidden" /></p>
</form>
<p>Authors: <a href="http://dakars.info/">Hannit Cohen</a> and <a href="http://www.ringofblogs.com/">Elad Salomons</a></p>
</div>
<?php
}

add_action('admin_menu', 'gravatar_admin_menu');
add_filter('comment_text', 'mu_get_gravatar');

?>
